Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class ObjectFactory

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.ObjectFactory

    public class ObjectFactory
    extends java.lang.Object

This object contains factory methods for each Java content interface and Java element interface generated in the org.kapott.hbci.sepa.jaxb.camt_052_001_08 package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

### Constructor Summary

Constructors
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_08

### Method Summary

All Methods Instance Methods Concrete Methods
`AccountIdentification4Choice` `createAccountIdentification4Choice()` Create an instance of `AccountIdentification4Choice`
`AccountInterest4` `createAccountInterest4()` Create an instance of `AccountInterest4`
`AccountReport25` `createAccountReport25()` Create an instance of `AccountReport25`
`AccountSchemeName1Choice` `createAccountSchemeName1Choice()` Create an instance of `AccountSchemeName1Choice`
`ActiveCurrencyAndAmount` `createActiveCurrencyAndAmount()` Create an instance of `ActiveCurrencyAndAmount`
`ActiveOrHistoricCurrencyAnd13DecimalAmount` `createActiveOrHistoricCurrencyAnd13DecimalAmount()` Create an instance of `ActiveOrHistoricCurrencyAnd13DecimalAmount`
`ActiveOrHistoricCurrencyAndAmount` `createActiveOrHistoricCurrencyAndAmount()` Create an instance of `ActiveOrHistoricCurrencyAndAmount`
`ActiveOrHistoricCurrencyAndAmountRange2` `createActiveOrHistoricCurrencyAndAmountRange2()` Create an instance of `ActiveOrHistoricCurrencyAndAmountRange2`
`AddressType3Choice` `createAddressType3Choice()` Create an instance of `AddressType3Choice`
`AmountAndCurrencyExchange3` `createAmountAndCurrencyExchange3()` Create an instance of `AmountAndCurrencyExchange3`
`AmountAndCurrencyExchangeDetails3` `createAmountAndCurrencyExchangeDetails3()` Create an instance of `AmountAndCurrencyExchangeDetails3`
`AmountAndCurrencyExchangeDetails4` `createAmountAndCurrencyExchangeDetails4()` Create an instance of `AmountAndCurrencyExchangeDetails4`
`AmountAndDirection35` `createAmountAndDirection35()` Create an instance of `AmountAndDirection35`
`AmountRangeBoundary1` `createAmountRangeBoundary1()` Create an instance of `AmountRangeBoundary1`
`BalanceSubType1Choice` `createBalanceSubType1Choice()` Create an instance of `BalanceSubType1Choice`
`BalanceType10Choice` `createBalanceType10Choice()` Create an instance of `BalanceType10Choice`
`BalanceType13` `createBalanceType13()` Create an instance of `BalanceType13`
`BankToCustomerAccountReportV08` `createBankToCustomerAccountReportV08()` Create an instance of `BankToCustomerAccountReportV08`
`BankTransactionCodeStructure4` `createBankTransactionCodeStructure4()` Create an instance of `BankTransactionCodeStructure4`
`BankTransactionCodeStructure5` `createBankTransactionCodeStructure5()` Create an instance of `BankTransactionCodeStructure5`
`BankTransactionCodeStructure6` `createBankTransactionCodeStructure6()` Create an instance of `BankTransactionCodeStructure6`
`BatchInformation2` `createBatchInformation2()` Create an instance of `BatchInformation2`
`BranchAndFinancialInstitutionIdentification6` `createBranchAndFinancialInstitutionIdentification6()` Create an instance of `BranchAndFinancialInstitutionIdentification6`
`BranchData3` `createBranchData3()` Create an instance of `BranchData3`
`CardAggregated2` `createCardAggregated2()` Create an instance of `CardAggregated2`
`CardEntry4` `createCardEntry4()` Create an instance of `CardEntry4`
`CardholderAuthentication2` `createCardholderAuthentication2()` Create an instance of `CardholderAuthentication2`
`CardIndividualTransaction2` `createCardIndividualTransaction2()` Create an instance of `CardIndividualTransaction2`
`CardSecurityInformation1` `createCardSecurityInformation1()` Create an instance of `CardSecurityInformation1`
`CardSequenceNumberRange1` `createCardSequenceNumberRange1()` Create an instance of `CardSequenceNumberRange1`
`CardTransaction17` `createCardTransaction17()` Create an instance of `CardTransaction17`
`CardTransaction3Choice` `createCardTransaction3Choice()` Create an instance of `CardTransaction3Choice`
`CashAccount38` `createCashAccount38()` Create an instance of `CashAccount38`
`CashAccount39` `createCashAccount39()` Create an instance of `CashAccount39`
`CashAccountType2Choice` `createCashAccountType2Choice()` Create an instance of `CashAccountType2Choice`
`CashAvailability1` `createCashAvailability1()` Create an instance of `CashAvailability1`
`CashAvailabilityDate1Choice` `createCashAvailabilityDate1Choice()` Create an instance of `CashAvailabilityDate1Choice`
`CashBalance8` `createCashBalance8()` Create an instance of `CashBalance8`
`CashDeposit1` `createCashDeposit1()` Create an instance of `CashDeposit1`
`Charges6` `createCharges6()` Create an instance of `Charges6`
`ChargesRecord3` `createChargesRecord3()` Create an instance of `ChargesRecord3`
`ChargeType3Choice` `createChargeType3Choice()` Create an instance of `ChargeType3Choice`
`ClearingSystemIdentification2Choice` `createClearingSystemIdentification2Choice()` Create an instance of `ClearingSystemIdentification2Choice`
`ClearingSystemMemberIdentification2` `createClearingSystemMemberIdentification2()` Create an instance of `ClearingSystemMemberIdentification2`
`Contact4` `createContact4()` Create an instance of `Contact4`
`CorporateAction9` `createCorporateAction9()` Create an instance of `CorporateAction9`
`CreditLine3` `createCreditLine3()` Create an instance of `CreditLine3`
`CreditLineType1Choice` `createCreditLineType1Choice()` Create an instance of `CreditLineType1Choice`
`CreditorReferenceInformation2` `createCreditorReferenceInformation2()` Create an instance of `CreditorReferenceInformation2`
`CreditorReferenceType1Choice` `createCreditorReferenceType1Choice()` Create an instance of `CreditorReferenceType1Choice`
`CreditorReferenceType2` `createCreditorReferenceType2()` Create an instance of `CreditorReferenceType2`
`CurrencyExchange5` `createCurrencyExchange5()` Create an instance of `CurrencyExchange5`
`DateAndDateTime2Choice` `createDateAndDateTime2Choice()` Create an instance of `DateAndDateTime2Choice`
`DateAndPlaceOfBirth1` `createDateAndPlaceOfBirth1()` Create an instance of `DateAndPlaceOfBirth1`
`DateOrDateTimePeriod1Choice` `createDateOrDateTimePeriod1Choice()` Create an instance of `DateOrDateTimePeriod1Choice`
`DatePeriod2` `createDatePeriod2()` Create an instance of `DatePeriod2`
`DateTimePeriod1` `createDateTimePeriod1()` Create an instance of `DateTimePeriod1`
`DiscountAmountAndType1` `createDiscountAmountAndType1()` Create an instance of `DiscountAmountAndType1`
`DiscountAmountType1Choice` `createDiscountAmountType1Choice()` Create an instance of `DiscountAmountType1Choice`
`DisplayCapabilities1` `createDisplayCapabilities1()` Create an instance of `DisplayCapabilities1`
`Document` `createDocument()` Create an instance of `Document`
`javax.xml.bind.JAXBElement<Document>` `createDocument​(Document value)` Create an instance of `JAXBElement``<``Document``>`
`DocumentAdjustment1` `createDocumentAdjustment1()` Create an instance of `DocumentAdjustment1`
`DocumentLineIdentification1` `createDocumentLineIdentification1()` Create an instance of `DocumentLineIdentification1`
`DocumentLineInformation1` `createDocumentLineInformation1()` Create an instance of `DocumentLineInformation1`
`DocumentLineType1` `createDocumentLineType1()` Create an instance of `DocumentLineType1`
`DocumentLineType1Choice` `createDocumentLineType1Choice()` Create an instance of `DocumentLineType1Choice`
`EntryDetails9` `createEntryDetails9()` Create an instance of `EntryDetails9`
`EntryStatus1Choice` `createEntryStatus1Choice()` Create an instance of `EntryStatus1Choice`
`EntryTransaction10` `createEntryTransaction10()` Create an instance of `EntryTransaction10`
`FinancialIdentificationSchemeName1Choice` `createFinancialIdentificationSchemeName1Choice()` Create an instance of `FinancialIdentificationSchemeName1Choice`
`FinancialInstitutionIdentification18` `createFinancialInstitutionIdentification18()` Create an instance of `FinancialInstitutionIdentification18`
`FinancialInstrumentQuantity1Choice` `createFinancialInstrumentQuantity1Choice()` Create an instance of `FinancialInstrumentQuantity1Choice`
`FromToAmountRange1` `createFromToAmountRange1()` Create an instance of `FromToAmountRange1`
`Garnishment3` `createGarnishment3()` Create an instance of `Garnishment3`
`GarnishmentType1` `createGarnishmentType1()` Create an instance of `GarnishmentType1`
`GarnishmentType1Choice` `createGarnishmentType1Choice()` Create an instance of `GarnishmentType1Choice`
`GenericAccountIdentification1` `createGenericAccountIdentification1()` Create an instance of `GenericAccountIdentification1`
`GenericFinancialIdentification1` `createGenericFinancialIdentification1()` Create an instance of `GenericFinancialIdentification1`
`GenericIdentification1` `createGenericIdentification1()` Create an instance of `GenericIdentification1`
`GenericIdentification3` `createGenericIdentification3()` Create an instance of `GenericIdentification3`
`GenericIdentification30` `createGenericIdentification30()` Create an instance of `GenericIdentification30`
`GenericIdentification32` `createGenericIdentification32()` Create an instance of `GenericIdentification32`
`GenericOrganisationIdentification1` `createGenericOrganisationIdentification1()` Create an instance of `GenericOrganisationIdentification1`
`GenericPersonIdentification1` `createGenericPersonIdentification1()` Create an instance of `GenericPersonIdentification1`
`GroupHeader81` `createGroupHeader81()` Create an instance of `GroupHeader81`
`IdentificationSource3Choice` `createIdentificationSource3Choice()` Create an instance of `IdentificationSource3Choice`
`ImpliedCurrencyAmountRange1Choice` `createImpliedCurrencyAmountRange1Choice()` Create an instance of `ImpliedCurrencyAmountRange1Choice`
`InterestRecord2` `createInterestRecord2()` Create an instance of `InterestRecord2`
`InterestType1Choice` `createInterestType1Choice()` Create an instance of `InterestType1Choice`
`LocalInstrument2Choice` `createLocalInstrument2Choice()` Create an instance of `LocalInstrument2Choice`
`MessageIdentification2` `createMessageIdentification2()` Create an instance of `MessageIdentification2`
`NameAndAddress16` `createNameAndAddress16()` Create an instance of `NameAndAddress16`
`NumberAndSumOfTransactions1` `createNumberAndSumOfTransactions1()` Create an instance of `NumberAndSumOfTransactions1`
`NumberAndSumOfTransactions4` `createNumberAndSumOfTransactions4()` Create an instance of `NumberAndSumOfTransactions4`
`OrganisationIdentification29` `createOrganisationIdentification29()` Create an instance of `OrganisationIdentification29`
`OrganisationIdentificationSchemeName1Choice` `createOrganisationIdentificationSchemeName1Choice()` Create an instance of `OrganisationIdentificationSchemeName1Choice`
`OriginalAndCurrentQuantities1` `createOriginalAndCurrentQuantities1()` Create an instance of `OriginalAndCurrentQuantities1`
`OriginalBusinessQuery1` `createOriginalBusinessQuery1()` Create an instance of `OriginalBusinessQuery1`
`OtherContact1` `createOtherContact1()` Create an instance of `OtherContact1`
`OtherIdentification1` `createOtherIdentification1()` Create an instance of `OtherIdentification1`
`Pagination1` `createPagination1()` Create an instance of `Pagination1`
`Party38Choice` `createParty38Choice()` Create an instance of `Party38Choice`
`Party40Choice` `createParty40Choice()` Create an instance of `Party40Choice`
`PartyIdentification135` `createPartyIdentification135()` Create an instance of `PartyIdentification135`
`PaymentCard4` `createPaymentCard4()` Create an instance of `PaymentCard4`
`PaymentContext3` `createPaymentContext3()` Create an instance of `PaymentContext3`
`PaymentReturnReason5` `createPaymentReturnReason5()` Create an instance of `PaymentReturnReason5`
`PersonIdentification13` `createPersonIdentification13()` Create an instance of `PersonIdentification13`
`PersonIdentificationSchemeName1Choice` `createPersonIdentificationSchemeName1Choice()` Create an instance of `PersonIdentificationSchemeName1Choice`
`PlainCardData1` `createPlainCardData1()` Create an instance of `PlainCardData1`
`PointOfInteraction1` `createPointOfInteraction1()` Create an instance of `PointOfInteraction1`
`PointOfInteractionCapabilities1` `createPointOfInteractionCapabilities1()` Create an instance of `PointOfInteractionCapabilities1`
`PointOfInteractionComponent1` `createPointOfInteractionComponent1()` Create an instance of `PointOfInteractionComponent1`
`PostalAddress24` `createPostalAddress24()` Create an instance of `PostalAddress24`
`Price7` `createPrice7()` Create an instance of `Price7`
`PriceRateOrAmount3Choice` `createPriceRateOrAmount3Choice()` Create an instance of `PriceRateOrAmount3Choice`
`Product2` `createProduct2()` Create an instance of `Product2`
`ProprietaryAgent4` `createProprietaryAgent4()` Create an instance of `ProprietaryAgent4`
`ProprietaryBankTransactionCodeStructure1` `createProprietaryBankTransactionCodeStructure1()` Create an instance of `ProprietaryBankTransactionCodeStructure1`
`ProprietaryDate3` `createProprietaryDate3()` Create an instance of `ProprietaryDate3`
`ProprietaryParty5` `createProprietaryParty5()` Create an instance of `ProprietaryParty5`
`ProprietaryPrice2` `createProprietaryPrice2()` Create an instance of `ProprietaryPrice2`
`ProprietaryQuantity1` `createProprietaryQuantity1()` Create an instance of `ProprietaryQuantity1`
`ProprietaryReference1` `createProprietaryReference1()` Create an instance of `ProprietaryReference1`
`ProxyAccountIdentification1` `createProxyAccountIdentification1()` Create an instance of `ProxyAccountIdentification1`
`ProxyAccountType1Choice` `createProxyAccountType1Choice()` Create an instance of `ProxyAccountType1Choice`
`Purpose2Choice` `createPurpose2Choice()` Create an instance of `Purpose2Choice`
`Rate4` `createRate4()` Create an instance of `Rate4`
`RateType4Choice` `createRateType4Choice()` Create an instance of `RateType4Choice`
`ReferredDocumentInformation7` `createReferredDocumentInformation7()` Create an instance of `ReferredDocumentInformation7`
`ReferredDocumentType3Choice` `createReferredDocumentType3Choice()` Create an instance of `ReferredDocumentType3Choice`
`ReferredDocumentType4` `createReferredDocumentType4()` Create an instance of `ReferredDocumentType4`
`RemittanceAmount2` `createRemittanceAmount2()` Create an instance of `RemittanceAmount2`
`RemittanceAmount3` `createRemittanceAmount3()` Create an instance of `RemittanceAmount3`
`RemittanceInformation16` `createRemittanceInformation16()` Create an instance of `RemittanceInformation16`
`RemittanceLocation7` `createRemittanceLocation7()` Create an instance of `RemittanceLocation7`
`RemittanceLocationData1` `createRemittanceLocationData1()` Create an instance of `RemittanceLocationData1`
`ReportEntry10` `createReportEntry10()` Create an instance of `ReportEntry10`
`ReportingSource1Choice` `createReportingSource1Choice()` Create an instance of `ReportingSource1Choice`
`ReturnReason5Choice` `createReturnReason5Choice()` Create an instance of `ReturnReason5Choice`
`SecuritiesAccount19` `createSecuritiesAccount19()` Create an instance of `SecuritiesAccount19`
`SecurityIdentification19` `createSecurityIdentification19()` Create an instance of `SecurityIdentification19`
`SequenceRange1` `createSequenceRange1()` Create an instance of `SequenceRange1`
`SequenceRange1Choice` `createSequenceRange1Choice()` Create an instance of `SequenceRange1Choice`
`StructuredRemittanceInformation16` `createStructuredRemittanceInformation16()` Create an instance of `StructuredRemittanceInformation16`
`SupplementaryData1` `createSupplementaryData1()` Create an instance of `SupplementaryData1`
`SupplementaryDataEnvelope1` `createSupplementaryDataEnvelope1()` Create an instance of `SupplementaryDataEnvelope1`
`TaxAmount2` `createTaxAmount2()` Create an instance of `TaxAmount2`
`TaxAmountAndType1` `createTaxAmountAndType1()` Create an instance of `TaxAmountAndType1`
`TaxAmountType1Choice` `createTaxAmountType1Choice()` Create an instance of `TaxAmountType1Choice`
`TaxAuthorisation1` `createTaxAuthorisation1()` Create an instance of `TaxAuthorisation1`
`TaxCharges2` `createTaxCharges2()` Create an instance of `TaxCharges2`
`TaxInformation7` `createTaxInformation7()` Create an instance of `TaxInformation7`
`TaxInformation8` `createTaxInformation8()` Create an instance of `TaxInformation8`
`TaxParty1` `createTaxParty1()` Create an instance of `TaxParty1`
`TaxParty2` `createTaxParty2()` Create an instance of `TaxParty2`
`TaxPeriod2` `createTaxPeriod2()` Create an instance of `TaxPeriod2`
`TaxRecord2` `createTaxRecord2()` Create an instance of `TaxRecord2`
`TaxRecordDetails2` `createTaxRecordDetails2()` Create an instance of `TaxRecordDetails2`
`TechnicalInputChannel1Choice` `createTechnicalInputChannel1Choice()` Create an instance of `TechnicalInputChannel1Choice`
`TotalsPerBankTransactionCode5` `createTotalsPerBankTransactionCode5()` Create an instance of `TotalsPerBankTransactionCode5`
`TotalTransactions6` `createTotalTransactions6()` Create an instance of `TotalTransactions6`
`TrackData1` `createTrackData1()` Create an instance of `TrackData1`
`TransactionAgents5` `createTransactionAgents5()` Create an instance of `TransactionAgents5`
`TransactionDates3` `createTransactionDates3()` Create an instance of `TransactionDates3`
`TransactionIdentifier1` `createTransactionIdentifier1()` Create an instance of `TransactionIdentifier1`
`TransactionInterest4` `createTransactionInterest4()` Create an instance of `TransactionInterest4`
`TransactionParties6` `createTransactionParties6()` Create an instance of `TransactionParties6`
`TransactionPrice4Choice` `createTransactionPrice4Choice()` Create an instance of `TransactionPrice4Choice`
`TransactionQuantities3Choice` `createTransactionQuantities3Choice()` Create an instance of `TransactionQuantities3Choice`
`TransactionReferences6` `createTransactionReferences6()` Create an instance of `TransactionReferences6`
`YieldedOrValueType1Choice` `createYieldedOrValueType1Choice()` Create an instance of `YieldedOrValueType1Choice`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectFactory

    public ObjectFactory()

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.kapott.hbci.sepa.jaxb.camt_052_001_08

### Method Detail

#### createDocument

    public Document createDocument()

Create an instance of `Document`

#### createAccountIdentification4Choice

    public AccountIdentification4Choice createAccountIdentification4Choice()

Create an instance of `AccountIdentification4Choice`

#### createAccountInterest4

    public AccountInterest4 createAccountInterest4()

Create an instance of `AccountInterest4`

#### createAccountReport25

    public AccountReport25 createAccountReport25()

Create an instance of `AccountReport25`

#### createAccountSchemeName1Choice

    public AccountSchemeName1Choice createAccountSchemeName1Choice()

Create an instance of `AccountSchemeName1Choice`

#### createActiveCurrencyAndAmount

    public ActiveCurrencyAndAmount createActiveCurrencyAndAmount()

Create an instance of `ActiveCurrencyAndAmount`

#### createActiveOrHistoricCurrencyAnd13DecimalAmount

    public ActiveOrHistoricCurrencyAnd13DecimalAmount createActiveOrHistoricCurrencyAnd13DecimalAmount()

Create an instance of `ActiveOrHistoricCurrencyAnd13DecimalAmount`

#### createActiveOrHistoricCurrencyAndAmount

    public ActiveOrHistoricCurrencyAndAmount createActiveOrHistoricCurrencyAndAmount()

Create an instance of `ActiveOrHistoricCurrencyAndAmount`

#### createActiveOrHistoricCurrencyAndAmountRange2

    public ActiveOrHistoricCurrencyAndAmountRange2 createActiveOrHistoricCurrencyAndAmountRange2()

Create an instance of `ActiveOrHistoricCurrencyAndAmountRange2`

#### createAddressType3Choice

    public AddressType3Choice createAddressType3Choice()

Create an instance of `AddressType3Choice`

#### createAmountAndCurrencyExchange3

    public AmountAndCurrencyExchange3 createAmountAndCurrencyExchange3()

Create an instance of `AmountAndCurrencyExchange3`

#### createAmountAndCurrencyExchangeDetails3

    public AmountAndCurrencyExchangeDetails3 createAmountAndCurrencyExchangeDetails3()

Create an instance of `AmountAndCurrencyExchangeDetails3`

#### createAmountAndCurrencyExchangeDetails4

    public AmountAndCurrencyExchangeDetails4 createAmountAndCurrencyExchangeDetails4()

Create an instance of `AmountAndCurrencyExchangeDetails4`

#### createAmountAndDirection35

    public AmountAndDirection35 createAmountAndDirection35()

Create an instance of `AmountAndDirection35`

#### createAmountRangeBoundary1

    public AmountRangeBoundary1 createAmountRangeBoundary1()

Create an instance of `AmountRangeBoundary1`

#### createBalanceSubType1Choice

    public BalanceSubType1Choice createBalanceSubType1Choice()

Create an instance of `BalanceSubType1Choice`

#### createBalanceType10Choice

    public BalanceType10Choice createBalanceType10Choice()

Create an instance of `BalanceType10Choice`

#### createBalanceType13

    public BalanceType13 createBalanceType13()

Create an instance of `BalanceType13`

#### createBankToCustomerAccountReportV08

    public BankToCustomerAccountReportV08 createBankToCustomerAccountReportV08()

Create an instance of `BankToCustomerAccountReportV08`

#### createBankTransactionCodeStructure4

    public BankTransactionCodeStructure4 createBankTransactionCodeStructure4()

Create an instance of `BankTransactionCodeStructure4`

#### createBankTransactionCodeStructure5

    public BankTransactionCodeStructure5 createBankTransactionCodeStructure5()

Create an instance of `BankTransactionCodeStructure5`

#### createBankTransactionCodeStructure6

    public BankTransactionCodeStructure6 createBankTransactionCodeStructure6()

Create an instance of `BankTransactionCodeStructure6`

#### createBatchInformation2

    public BatchInformation2 createBatchInformation2()

Create an instance of `BatchInformation2`

#### createBranchAndFinancialInstitutionIdentification6

    public BranchAndFinancialInstitutionIdentification6 createBranchAndFinancialInstitutionIdentification6()

Create an instance of `BranchAndFinancialInstitutionIdentification6`

#### createBranchData3

    public BranchData3 createBranchData3()

Create an instance of `BranchData3`

#### createCardAggregated2

    public CardAggregated2 createCardAggregated2()

Create an instance of `CardAggregated2`

#### createCardEntry4

    public CardEntry4 createCardEntry4()

Create an instance of `CardEntry4`

#### createCardIndividualTransaction2

    public CardIndividualTransaction2 createCardIndividualTransaction2()

Create an instance of `CardIndividualTransaction2`

#### createCardSecurityInformation1

    public CardSecurityInformation1 createCardSecurityInformation1()

Create an instance of `CardSecurityInformation1`

#### createCardSequenceNumberRange1

    public CardSequenceNumberRange1 createCardSequenceNumberRange1()

Create an instance of `CardSequenceNumberRange1`

#### createCardTransaction17

    public CardTransaction17 createCardTransaction17()

Create an instance of `CardTransaction17`

#### createCardTransaction3Choice

    public CardTransaction3Choice createCardTransaction3Choice()

Create an instance of `CardTransaction3Choice`

#### createCardholderAuthentication2

    public CardholderAuthentication2 createCardholderAuthentication2()

Create an instance of `CardholderAuthentication2`

#### createCashAccount38

    public CashAccount38 createCashAccount38()

Create an instance of `CashAccount38`

#### createCashAccount39

    public CashAccount39 createCashAccount39()

Create an instance of `CashAccount39`

#### createCashAccountType2Choice

    public CashAccountType2Choice createCashAccountType2Choice()

Create an instance of `CashAccountType2Choice`

#### createCashAvailability1

    public CashAvailability1 createCashAvailability1()

Create an instance of `CashAvailability1`

#### createCashAvailabilityDate1Choice

    public CashAvailabilityDate1Choice createCashAvailabilityDate1Choice()

Create an instance of `CashAvailabilityDate1Choice`

#### createCashBalance8

    public CashBalance8 createCashBalance8()

Create an instance of `CashBalance8`

#### createCashDeposit1

    public CashDeposit1 createCashDeposit1()

Create an instance of `CashDeposit1`

#### createChargeType3Choice

    public ChargeType3Choice createChargeType3Choice()

Create an instance of `ChargeType3Choice`

#### createCharges6

    public Charges6 createCharges6()

Create an instance of `Charges6`

#### createChargesRecord3

    public ChargesRecord3 createChargesRecord3()

Create an instance of `ChargesRecord3`

#### createClearingSystemIdentification2Choice

    public ClearingSystemIdentification2Choice createClearingSystemIdentification2Choice()

Create an instance of `ClearingSystemIdentification2Choice`

#### createClearingSystemMemberIdentification2

    public ClearingSystemMemberIdentification2 createClearingSystemMemberIdentification2()

Create an instance of `ClearingSystemMemberIdentification2`

#### createContact4

    public Contact4 createContact4()

Create an instance of `Contact4`

#### createCorporateAction9

    public CorporateAction9 createCorporateAction9()

Create an instance of `CorporateAction9`

#### createCreditLine3

    public CreditLine3 createCreditLine3()

Create an instance of `CreditLine3`

#### createCreditLineType1Choice

    public CreditLineType1Choice createCreditLineType1Choice()

Create an instance of `CreditLineType1Choice`

#### createCreditorReferenceInformation2

    public CreditorReferenceInformation2 createCreditorReferenceInformation2()

Create an instance of `CreditorReferenceInformation2`

#### createCreditorReferenceType1Choice

    public CreditorReferenceType1Choice createCreditorReferenceType1Choice()

Create an instance of `CreditorReferenceType1Choice`

#### createCreditorReferenceType2

    public CreditorReferenceType2 createCreditorReferenceType2()

Create an instance of `CreditorReferenceType2`

#### createCurrencyExchange5

    public CurrencyExchange5 createCurrencyExchange5()

Create an instance of `CurrencyExchange5`

#### createDateAndDateTime2Choice

    public DateAndDateTime2Choice createDateAndDateTime2Choice()

Create an instance of `DateAndDateTime2Choice`

#### createDateAndPlaceOfBirth1

    public DateAndPlaceOfBirth1 createDateAndPlaceOfBirth1()

Create an instance of `DateAndPlaceOfBirth1`

#### createDateOrDateTimePeriod1Choice

    public DateOrDateTimePeriod1Choice createDateOrDateTimePeriod1Choice()

Create an instance of `DateOrDateTimePeriod1Choice`

#### createDatePeriod2

    public DatePeriod2 createDatePeriod2()

Create an instance of `DatePeriod2`

#### createDateTimePeriod1

    public DateTimePeriod1 createDateTimePeriod1()

Create an instance of `DateTimePeriod1`

#### createDiscountAmountAndType1

    public DiscountAmountAndType1 createDiscountAmountAndType1()

Create an instance of `DiscountAmountAndType1`

#### createDiscountAmountType1Choice

    public DiscountAmountType1Choice createDiscountAmountType1Choice()

Create an instance of `DiscountAmountType1Choice`

#### createDisplayCapabilities1

    public DisplayCapabilities1 createDisplayCapabilities1()

Create an instance of `DisplayCapabilities1`

#### createDocumentAdjustment1

    public DocumentAdjustment1 createDocumentAdjustment1()

Create an instance of `DocumentAdjustment1`

#### createDocumentLineIdentification1

    public DocumentLineIdentification1 createDocumentLineIdentification1()

Create an instance of `DocumentLineIdentification1`

#### createDocumentLineInformation1

    public DocumentLineInformation1 createDocumentLineInformation1()

Create an instance of `DocumentLineInformation1`

#### createDocumentLineType1

    public DocumentLineType1 createDocumentLineType1()

Create an instance of `DocumentLineType1`

#### createDocumentLineType1Choice

    public DocumentLineType1Choice createDocumentLineType1Choice()

Create an instance of `DocumentLineType1Choice`

#### createEntryDetails9

    public EntryDetails9 createEntryDetails9()

Create an instance of `EntryDetails9`

#### createEntryStatus1Choice

    public EntryStatus1Choice createEntryStatus1Choice()

Create an instance of `EntryStatus1Choice`

#### createEntryTransaction10

    public EntryTransaction10 createEntryTransaction10()

Create an instance of `EntryTransaction10`

#### createFinancialIdentificationSchemeName1Choice

    public FinancialIdentificationSchemeName1Choice createFinancialIdentificationSchemeName1Choice()

Create an instance of `FinancialIdentificationSchemeName1Choice`

#### createFinancialInstitutionIdentification18

    public FinancialInstitutionIdentification18 createFinancialInstitutionIdentification18()

Create an instance of `FinancialInstitutionIdentification18`

#### createFinancialInstrumentQuantity1Choice

    public FinancialInstrumentQuantity1Choice createFinancialInstrumentQuantity1Choice()

Create an instance of `FinancialInstrumentQuantity1Choice`

#### createFromToAmountRange1

    public FromToAmountRange1 createFromToAmountRange1()

Create an instance of `FromToAmountRange1`

#### createGarnishment3

    public Garnishment3 createGarnishment3()

Create an instance of `Garnishment3`

#### createGarnishmentType1

    public GarnishmentType1 createGarnishmentType1()

Create an instance of `GarnishmentType1`

#### createGarnishmentType1Choice

    public GarnishmentType1Choice createGarnishmentType1Choice()

Create an instance of `GarnishmentType1Choice`

#### createGenericAccountIdentification1

    public GenericAccountIdentification1 createGenericAccountIdentification1()

Create an instance of `GenericAccountIdentification1`

#### createGenericFinancialIdentification1

    public GenericFinancialIdentification1 createGenericFinancialIdentification1()

Create an instance of `GenericFinancialIdentification1`

#### createGenericIdentification1

    public GenericIdentification1 createGenericIdentification1()

Create an instance of `GenericIdentification1`

#### createGenericIdentification3

    public GenericIdentification3 createGenericIdentification3()

Create an instance of `GenericIdentification3`

#### createGenericIdentification30

    public GenericIdentification30 createGenericIdentification30()

Create an instance of `GenericIdentification30`

#### createGenericIdentification32

    public GenericIdentification32 createGenericIdentification32()

Create an instance of `GenericIdentification32`

#### createGenericOrganisationIdentification1

    public GenericOrganisationIdentification1 createGenericOrganisationIdentification1()

Create an instance of `GenericOrganisationIdentification1`

#### createGenericPersonIdentification1

    public GenericPersonIdentification1 createGenericPersonIdentification1()

Create an instance of `GenericPersonIdentification1`

#### createGroupHeader81

    public GroupHeader81 createGroupHeader81()

Create an instance of `GroupHeader81`

#### createIdentificationSource3Choice

    public IdentificationSource3Choice createIdentificationSource3Choice()

Create an instance of `IdentificationSource3Choice`

#### createImpliedCurrencyAmountRange1Choice

    public ImpliedCurrencyAmountRange1Choice createImpliedCurrencyAmountRange1Choice()

Create an instance of `ImpliedCurrencyAmountRange1Choice`

#### createInterestRecord2

    public InterestRecord2 createInterestRecord2()

Create an instance of `InterestRecord2`

#### createInterestType1Choice

    public InterestType1Choice createInterestType1Choice()

Create an instance of `InterestType1Choice`

#### createLocalInstrument2Choice

    public LocalInstrument2Choice createLocalInstrument2Choice()

Create an instance of `LocalInstrument2Choice`

#### createMessageIdentification2

    public MessageIdentification2 createMessageIdentification2()

Create an instance of `MessageIdentification2`

#### createNameAndAddress16

    public NameAndAddress16 createNameAndAddress16()

Create an instance of `NameAndAddress16`

#### createNumberAndSumOfTransactions1

    public NumberAndSumOfTransactions1 createNumberAndSumOfTransactions1()

Create an instance of `NumberAndSumOfTransactions1`

#### createNumberAndSumOfTransactions4

    public NumberAndSumOfTransactions4 createNumberAndSumOfTransactions4()

Create an instance of `NumberAndSumOfTransactions4`

#### createOrganisationIdentification29

    public OrganisationIdentification29 createOrganisationIdentification29()

Create an instance of `OrganisationIdentification29`

#### createOrganisationIdentificationSchemeName1Choice

    public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice()

Create an instance of `OrganisationIdentificationSchemeName1Choice`

#### createOriginalAndCurrentQuantities1

    public OriginalAndCurrentQuantities1 createOriginalAndCurrentQuantities1()

Create an instance of `OriginalAndCurrentQuantities1`

#### createOriginalBusinessQuery1

    public OriginalBusinessQuery1 createOriginalBusinessQuery1()

Create an instance of `OriginalBusinessQuery1`

#### createOtherContact1

    public OtherContact1 createOtherContact1()

Create an instance of `OtherContact1`

#### createOtherIdentification1

    public OtherIdentification1 createOtherIdentification1()

Create an instance of `OtherIdentification1`

#### createPagination1

    public Pagination1 createPagination1()

Create an instance of `Pagination1`

#### createParty38Choice

    public Party38Choice createParty38Choice()

Create an instance of `Party38Choice`

#### createParty40Choice

    public Party40Choice createParty40Choice()

Create an instance of `Party40Choice`

#### createPartyIdentification135

    public PartyIdentification135 createPartyIdentification135()

Create an instance of `PartyIdentification135`

#### createPaymentCard4

    public PaymentCard4 createPaymentCard4()

Create an instance of `PaymentCard4`

#### createPaymentContext3

    public PaymentContext3 createPaymentContext3()

Create an instance of `PaymentContext3`

#### createPaymentReturnReason5

    public PaymentReturnReason5 createPaymentReturnReason5()

Create an instance of `PaymentReturnReason5`

#### createPersonIdentification13

    public PersonIdentification13 createPersonIdentification13()

Create an instance of `PersonIdentification13`

#### createPersonIdentificationSchemeName1Choice

    public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice()

Create an instance of `PersonIdentificationSchemeName1Choice`

#### createPlainCardData1

    public PlainCardData1 createPlainCardData1()

Create an instance of `PlainCardData1`

#### createPointOfInteraction1

    public PointOfInteraction1 createPointOfInteraction1()

Create an instance of `PointOfInteraction1`

#### createPointOfInteractionCapabilities1

    public PointOfInteractionCapabilities1 createPointOfInteractionCapabilities1()

Create an instance of `PointOfInteractionCapabilities1`

#### createPointOfInteractionComponent1

    public PointOfInteractionComponent1 createPointOfInteractionComponent1()

Create an instance of `PointOfInteractionComponent1`

#### createPostalAddress24

    public PostalAddress24 createPostalAddress24()

Create an instance of `PostalAddress24`

#### createPrice7

    public Price7 createPrice7()

Create an instance of `Price7`

#### createPriceRateOrAmount3Choice

    public PriceRateOrAmount3Choice createPriceRateOrAmount3Choice()

Create an instance of `PriceRateOrAmount3Choice`

#### createProduct2

    public Product2 createProduct2()

Create an instance of `Product2`

#### createProprietaryAgent4

    public ProprietaryAgent4 createProprietaryAgent4()

Create an instance of `ProprietaryAgent4`

#### createProprietaryBankTransactionCodeStructure1

    public ProprietaryBankTransactionCodeStructure1 createProprietaryBankTransactionCodeStructure1()

Create an instance of `ProprietaryBankTransactionCodeStructure1`

#### createProprietaryDate3

    public ProprietaryDate3 createProprietaryDate3()

Create an instance of `ProprietaryDate3`

#### createProprietaryParty5

    public ProprietaryParty5 createProprietaryParty5()

Create an instance of `ProprietaryParty5`

#### createProprietaryPrice2

    public ProprietaryPrice2 createProprietaryPrice2()

Create an instance of `ProprietaryPrice2`

#### createProprietaryQuantity1

    public ProprietaryQuantity1 createProprietaryQuantity1()

Create an instance of `ProprietaryQuantity1`

#### createProprietaryReference1

    public ProprietaryReference1 createProprietaryReference1()

Create an instance of `ProprietaryReference1`

#### createProxyAccountIdentification1

    public ProxyAccountIdentification1 createProxyAccountIdentification1()

Create an instance of `ProxyAccountIdentification1`

#### createProxyAccountType1Choice

    public ProxyAccountType1Choice createProxyAccountType1Choice()

Create an instance of `ProxyAccountType1Choice`

#### createPurpose2Choice

    public Purpose2Choice createPurpose2Choice()

Create an instance of `Purpose2Choice`

#### createRate4

    public Rate4 createRate4()

Create an instance of `Rate4`

#### createRateType4Choice

    public RateType4Choice createRateType4Choice()

Create an instance of `RateType4Choice`

#### createReferredDocumentInformation7

    public ReferredDocumentInformation7 createReferredDocumentInformation7()

Create an instance of `ReferredDocumentInformation7`

#### createReferredDocumentType3Choice

    public ReferredDocumentType3Choice createReferredDocumentType3Choice()

Create an instance of `ReferredDocumentType3Choice`

#### createReferredDocumentType4

    public ReferredDocumentType4 createReferredDocumentType4()

Create an instance of `ReferredDocumentType4`

#### createRemittanceAmount2

    public RemittanceAmount2 createRemittanceAmount2()

Create an instance of `RemittanceAmount2`

#### createRemittanceAmount3

    public RemittanceAmount3 createRemittanceAmount3()

Create an instance of `RemittanceAmount3`

#### createRemittanceInformation16

    public RemittanceInformation16 createRemittanceInformation16()

Create an instance of `RemittanceInformation16`

#### createRemittanceLocation7

    public RemittanceLocation7 createRemittanceLocation7()

Create an instance of `RemittanceLocation7`

#### createRemittanceLocationData1

    public RemittanceLocationData1 createRemittanceLocationData1()

Create an instance of `RemittanceLocationData1`

#### createReportEntry10

    public ReportEntry10 createReportEntry10()

Create an instance of `ReportEntry10`

#### createReportingSource1Choice

    public ReportingSource1Choice createReportingSource1Choice()

Create an instance of `ReportingSource1Choice`

#### createReturnReason5Choice

    public ReturnReason5Choice createReturnReason5Choice()

Create an instance of `ReturnReason5Choice`

#### createSecuritiesAccount19

    public SecuritiesAccount19 createSecuritiesAccount19()

Create an instance of `SecuritiesAccount19`

#### createSecurityIdentification19

    public SecurityIdentification19 createSecurityIdentification19()

Create an instance of `SecurityIdentification19`

#### createSequenceRange1

    public SequenceRange1 createSequenceRange1()

Create an instance of `SequenceRange1`

#### createSequenceRange1Choice

    public SequenceRange1Choice createSequenceRange1Choice()

Create an instance of `SequenceRange1Choice`

#### createStructuredRemittanceInformation16

    public StructuredRemittanceInformation16 createStructuredRemittanceInformation16()

Create an instance of `StructuredRemittanceInformation16`

#### createSupplementaryData1

    public SupplementaryData1 createSupplementaryData1()

Create an instance of `SupplementaryData1`

#### createSupplementaryDataEnvelope1

    public SupplementaryDataEnvelope1 createSupplementaryDataEnvelope1()

Create an instance of `SupplementaryDataEnvelope1`

#### createTaxAmount2

    public TaxAmount2 createTaxAmount2()

Create an instance of `TaxAmount2`

#### createTaxAmountAndType1

    public TaxAmountAndType1 createTaxAmountAndType1()

Create an instance of `TaxAmountAndType1`

#### createTaxAmountType1Choice

    public TaxAmountType1Choice createTaxAmountType1Choice()

Create an instance of `TaxAmountType1Choice`

#### createTaxAuthorisation1

    public TaxAuthorisation1 createTaxAuthorisation1()

Create an instance of `TaxAuthorisation1`

#### createTaxCharges2

    public TaxCharges2 createTaxCharges2()

Create an instance of `TaxCharges2`

#### createTaxInformation7

    public TaxInformation7 createTaxInformation7()

Create an instance of `TaxInformation7`

#### createTaxInformation8

    public TaxInformation8 createTaxInformation8()

Create an instance of `TaxInformation8`

#### createTaxParty1

    public TaxParty1 createTaxParty1()

Create an instance of `TaxParty1`

#### createTaxParty2

    public TaxParty2 createTaxParty2()

Create an instance of `TaxParty2`

#### createTaxPeriod2

    public TaxPeriod2 createTaxPeriod2()

Create an instance of `TaxPeriod2`

#### createTaxRecord2

    public TaxRecord2 createTaxRecord2()

Create an instance of `TaxRecord2`

#### createTaxRecordDetails2

    public TaxRecordDetails2 createTaxRecordDetails2()

Create an instance of `TaxRecordDetails2`

#### createTechnicalInputChannel1Choice

    public TechnicalInputChannel1Choice createTechnicalInputChannel1Choice()

Create an instance of `TechnicalInputChannel1Choice`

#### createTotalTransactions6

    public TotalTransactions6 createTotalTransactions6()

Create an instance of `TotalTransactions6`

#### createTotalsPerBankTransactionCode5

    public TotalsPerBankTransactionCode5 createTotalsPerBankTransactionCode5()

Create an instance of `TotalsPerBankTransactionCode5`

#### createTrackData1

    public TrackData1 createTrackData1()

Create an instance of `TrackData1`

#### createTransactionAgents5

    public TransactionAgents5 createTransactionAgents5()

Create an instance of `TransactionAgents5`

#### createTransactionDates3

    public TransactionDates3 createTransactionDates3()

Create an instance of `TransactionDates3`

#### createTransactionIdentifier1

    public TransactionIdentifier1 createTransactionIdentifier1()

Create an instance of `TransactionIdentifier1`

#### createTransactionInterest4

    public TransactionInterest4 createTransactionInterest4()

Create an instance of `TransactionInterest4`

#### createTransactionParties6

    public TransactionParties6 createTransactionParties6()

Create an instance of `TransactionParties6`

#### createTransactionPrice4Choice

    public TransactionPrice4Choice createTransactionPrice4Choice()

Create an instance of `TransactionPrice4Choice`

#### createTransactionQuantities3Choice

    public TransactionQuantities3Choice createTransactionQuantities3Choice()

Create an instance of `TransactionQuantities3Choice`

#### createTransactionReferences6

    public TransactionReferences6 createTransactionReferences6()

Create an instance of `TransactionReferences6`

#### createYieldedOrValueType1Choice

    public YieldedOrValueType1Choice createYieldedOrValueType1Choice()

Create an instance of `YieldedOrValueType1Choice`

#### createDocument

    public javax.xml.bind.JAXBElement<Document> createDocument​(Document value)

Create an instance of `JAXBElement``<``Document``>`

Parameters:
  `value` - Java instance representing xml element's value.
Returns:
  the new instance of `JAXBElement``<``Document``>`